#include <bits/stdc++.h>
using namespace std;
#define ll long long
#define endl "\n"
#define INF 1000000000
#define LINF 1000000000000000LL
#define pb push_back
#define all(x) x.begin(), x.end()
#define len(s) (int)s.size()
#define test_case { int t; cin>>t; while(t--)solve(); }
#define input(n, v) {for(int i = 0;i<n;i++) cin>>v[i];}
#define output(n, v) {for(int i = 0;i<n;i++) cout<<v[i]<<" "; cout<<endl;}
#define single_case solve();
#define line cout<<"------------"<<endl;
#define ios { ios_base::sync_with_stdio(false); cin.tie(NULL); }
using namespace std;
const int N = 1e5 + 5;
vector<ll> a(N);

int main()
{
    ios
    int n, k;
    cin>>n>>k;
    ll ans = 0;
    for(int i = 1;i<=n;i++)
        cin>>a[i];
    for(int i = 0;i<k;i++)
    {
        int x, y;
        cin>>x>>y;
        ll add = max(-a[x]-a[y], a[x]+a[y]);
        ans += add;
    }

    cout<<ans;





    return 0;
}